%define tarname soap4r
%define base 1_5_2
%define tarvers %{base}_%{cvs}
%define cvs 20030704cvs
Summary: SOAP module for Ruby
Name: ruby-SOAP4R
Version: 1.5.2
Release: 1
License: Ruby licence
Group: Applications/Ruby
Source: http://www.jin.gr.jp/~nahi/Ruby/SOAP4R/%{tarname}-%{base}.tar.gz
URL: http://www.jin.gr.jp/~nahi/Ruby/SOAP4R/wiki.cgi?cmd=view;name=top
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby-devel-logger >= 1.1.0
Obsoletes: soap4r
%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )

%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.7, ruby-date2 >= 3.2, ruby-REXML >= 2.7.1
Requires: ruby-WEBrick >= 1.3.1
%endif

%description
'SOAP4R' is a Ruby library program to handle Simple Object Access Protocol
(SOAP) 1.1 (W3C Note).

%prep
%setup -n %{tarname}-%{base}

%build
for i in sample test bin; do
  find $i -type f | xargs \
    ruby -i -pe \
      'sub(%r(^#!((/usr/local|/home/nahi)/bin/ruby|/usr/bin/env ruby)),
	   "#!/usr/bin/ruby")'
done

%install
rm -rf $RPM_BUILD_ROOT
ruby -i -pe "sub(/(CONFIG\[\"(?:site|rubylib)dir\"])/, '\"$RPM_BUILD_ROOT\" + \1')" \
	install.rb
ruby install.rb
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m0755 bin/wsdl2ruby.rb $RPM_BUILD_ROOT%{_bindir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc COPYING RELEASE_en.html rubyStyle.css ToDo
%doc sample/ test/

%changelog
* Thu Dec 25 2003 Ian Macdonald <ian@caliban.org> 1.5.2-1
- 1.5.2

* Fri Nov 14 2003 Ian Macdonald <ian@caliban.org> 1.5.1.2-2
- fix rubylibdir; wsdlDriver.rb was not getting installed

* Mon Nov 10 2003 Ian Macdonald <ian@caliban.org> 1.5.1.2-1
- 1.5.1.2

* Sun Nov 2 2003 Ian Macdonald <ian@caliban.org> 1.5.1-1
- 1.5.1

* Sat Sep 13 2003 Ian Macdonald <ian@caliban.org> 1.5.0-1
- 1.5.0

* Fri Jul  4 2003 Ian Macdonald <ian@caliban.org> 1.4.8.1.20030704cvs-1
- updated to CVS snapshot, as latest release version no longer works

* Tue Jun 17 2003 Ian Macdonald <ian@caliban.org> 1.4.8.1-5
- changed REXML dependency, as it's now a part of Ruby 1.8

* Wed Jun  4 2003 Ian Macdonald <ian@caliban.org> 1.4.8.1-4
- increase required version of REXML to ensure it works with the patch

* Tue May 27 2003 Ian Macdonald <ian@caliban.org> 1.4.8.1-3
- add conditional code to get Requires right for both Ruby 1.6.x and 1.8.x

* Thu May  8 2003 Ian Macdonald <ian@caliban.org> 1.4.8.1-2
- patch to fix problem with versioning in recent REXML

* Fri Jan 17 2003 Ian Macdonald <ian@caliban.org> 1.4.8.1-1
- 1.4.8.1

* Fri Sep 20 2002 Ian Macdonald <ian@caliban.org>
- 1.4.7

* Tue May 28 2002 Ian Macdonald <ian@caliban.org>
- 1.4.5
- no longer depend on uconv
- depend on ruby-date2

* Tue May  7 2002 Ian Macdonald <ian@caliban.org>
- 1.4.4.1
- require ruby-REXML instead of ruby-nqxml
- require ruby-uconv (documentation claims this is optional, but it's actually
  'require'd by the code)

* Mon May  6 2002 Ian Macdonald <ian@caliban.org>
- 1.4.4

* Thu Apr 12 2002 Ian Macdonald <ian@caliban.org>
- renamed ruby-SOAP4R for consistency with other packages

* Tue Apr 10 2002 Ian Macdonald <ian@caliban.org>
- 1.4.3
- now also depends on ruby-devel-logger and ruby-http-access2

* Mon Apr  1 2002 Ian Macdonald <ian@caliban.org>
- 1.4.2
